clang 10.0.0git

Public Member Functions | List of all members
clang::RecursiveCloneTypeIIHashConstraint Class Reference

This constraint moves clones into clone groups of type II via hashing. More...

`#include "clang/Analysis/CloneDetection.h"`

## Public Member Functions
void | constrain (std::vector< CloneDetector::CloneGroup > &Sequences)

## Detailed Description

This constraint moves clones into clone groups of type II via hashing.

Clones with different hash values are moved into separate clone groups. Collisions are possible, and this constraint does nothing to address this them. Add the slower RecursiveCloneTypeIIVerifyConstraint later in the constraint chain, not necessarily immediately, to eliminate hash collisions through a more detailed analysis.

Definition at line 262 of file CloneDetection.h.

## Member Function Documentation

## ◆ constrain()

void RecursiveCloneTypeIIHashConstraint::constrain | ( | std::vector< CloneDetector::CloneGroup > & | Sequences | ) |

Definition at line 350 of file CloneDetection.cpp.

References clang::Result, and saveHash().

The documentation for this class was generated from the following files:

- include/clang/Analysis/CloneDetection.h
- lib/Analysis/CloneDetection.cpp